# This python script uses quibit to read mp_Psi4_l2_m2_r300.00.asc and plot the real part of Psi4
import numpy as np
from kuibit import simdir as sd
import matplotlib.pyplot as plt
import os
import sys
from subprocess import PIPE, Popen

p = Popen(["./simfactory/bin/sim","get-output-dir",sys.argv[1]],
    stdout=PIPE, universal_newlines=True)
out, _ = p.communicate()

sim = sd.SimDir(out.strip())
psi4 = sim.gws

radius = psi4.radii[0] # r = 300
psi4 = (psi4[radius])[(2,2)]
fig = plt.figure()
plt.plot(psi4.t, np.real(psi4.y),  label = r"$\Psi_4^{2,2}$ Real Part")
plt.xlabel(r"$t/M_{sun}$")
plt.ylabel(r"$\Psi_4$")
plt.legend()

png_name = "mp_Psi4_l2_m2_r300.00.png"
fig.savefig(png_name)
print("Figure save as ", png_name)

pdf_name = "mp_Psi4_l2_m2_r300.00.pdf"
fig.savefig(pdf_name)
print("Figure save as ", pdf_name)
